SDL_GL_GetCurrentWindow(3)

NAME
SDL_GL_GetCurrentWindow - Get the currently active OpenGL window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Window * SDL_GL_GetCurrentWindow(void);

RETURN VALUE
( SDL_Window
 *) Returns the currently active OpenGL window on success or NULL on failure; call SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.